> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metrics

> Read all available metrics to define rules on



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/rules/metrics
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/rules/metrics:
    get:
      tags:
        - Rules
      summary: Get metrics
      description: Read all available metrics to define rules on
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MetricDefinitionSchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    MetricDefinitionSchema:
      properties:
        date_range:
          description: The date range this metric covers
          example: last_180_days
          type: string
        description:
          description: Human-readable description of the metric
          example: Total number of unique transactions
          type: string
        group:
          description: The group/category this metric belongs to
          example: transaction_metrics
          type: string
        label:
          description: The label/name of the metric
          example: unique_transactions
          type: string
        unit:
          description: The unit of measurement for this metric
          example: count
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````